# HierarchyFilter class

(Shortest import: `from brian2.utils.logger import HierarchyFilter)`

class brian2.utils.logger.HierarchyFilter(name)

  Bases: `object`

  A class for suppressing all log messages in a subtree of the name hierarchy. Does exactly the opposite as the `logging.Filter` class, which allows messages in a certain name hierarchy to pass.

  Parameters:

    name : str

    > The name hiearchy to suppress. See `BrianLogger.suppress_hierarchy` for details.

  Methods

  `filter`(record) | Filter out all messages in a subtree of the name hierarchy.

  Details

  filter(record)

    Filter out all messages in a subtree of the name hierarchy.